<template>
  <Lodges label="All lodges" />
</template>

<script>
import Lodges from '@/components/Lodges.vue';
import axiosClient from '@/axiosClient';
import { mapMutations } from 'vuex';
import { get_lodge } from '@/components/helpers.js';

export default {
  components: {
    Lodges
  },
  methods: {
    ...mapMutations(['addLodges', 'clearLodges'])
  },
  created() {
    this.clearLodges()
    axiosClient.get('/lodges')
    .then((response) => {
      let lodges = [];
      for(let mason_data of response.data.data)
      {
        lodges.push(get_lodge(mason_data))
      }
      this.addLodges(lodges)
    })
    .catch((error) => {
      console.log(error)
    })
  }
}

</script>